<?php 
/* SVN FILE: $Id$ */
/* RegistMail Test cases generated on: 2010-06-29 10:33:20 : 1277775200*/
App::import('Model', 'RegistMail');

class RegistMailTestCase extends CakeTestCase {
	var $RegistMail = null;
	var $fixtures = array('app.regist_mail');

	function startTest() {
		$this->RegistMail =& ClassRegistry::init('RegistMail');
	}

	function testRegistMailInstance() {
		$this->assertTrue(is_a($this->RegistMail, 'RegistMail'));
	}

	function testRegistMailFind() {
		$this->RegistMail->recursive = -1;
		$results = $this->RegistMail->find('first');
		$this->assertTrue(!empty($results));

		$expected = array('RegistMail' => array(
			'id'  => 1,
			'user_id'  => 1,
			'mail'  => 1,
			'key_code'  => 'Lorem ipsum dolor sit amet',
			'created'  => '2010-06-29 10:33:20'
		));
		$this->assertEqual($results, $expected);
	}
}
?>